<div class="dialog-title">
  <h2 mat-dialog-title>Nueva categoría</h2>
</div>

<form [formGroup]="form" (ngSubmit)="createCategory($event)">

  <div class="category-form-field">
    <mat-form-field>
      <mat-label>Categoría</mat-label>
      <input matInput formControlName="category" required>
      <mat-error *ngIf="form.controls.category.hasError('required')">
        El campo está vacío
      </mat-error>
    </mat-form-field>
  </div>

  <div class="btn-section">
    <button mat-raised-button type="submit" color="primary">Crear</button>
    <button mat-raised-button type="button" (click)="onCancelClick()">Cancelar</button>
  </div>

</form>